Bug 494730 - gnome-terminal --tab opens new windows instead of tabs
gnome-terminal --tab opens new windows instead of tabs
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Behdad Esfahbod
desktop-bugs@redhat.com
:
Depends On:
Blocks: 495704
  Show dependency treegraph
 
Reported: 2009-04-07 18:26 EDT by Jeff Bastian
Modified: 2010-10-23 04:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 495704 (view as bug list)
Environment:
Last Closed: 2010-01-05 13:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix --tab behavior (1.72 KB, patch)
2009-04-07 18:28 EDT, Jeff Bastian
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 83203 None None None Never

  None (edit)
Description Jeff Bastian 2009-04-07 18:26:31 EDT
Description of problem:
Running 'gnome-terminal --tab' opens a new window instead of a new tab.  According to the --help:

  --tab                                           Open a new tab in the       
                                                  last-opened window with the 
                                                  default profile. More than  
                                                  one of these options can be 
                                                  provided.

Version-Release number of selected component (if applicable):
gnome-terminal-2.16.0-5.3.el5

How reproducible:
every time

Steps to Reproduce:
1. gnome-terminal --tab &
  
Actual results:
a new gnome-terminal window opens

Expected results:
a new tab opens in the most-recent-opened gnome-terminal window

Additional info:
Comment 1 Jeff Bastian 2009-04-07 18:28:28 EDT
Created attachment 338622 [details]
patch to fix --tab behavior

Here is a patch written by Siddhesh Poyarekar <spoyarek@redhat.com> to correct the --tab behavior.
Comment 2 Jeff Bastian 2009-04-07 18:52:35 EDT
There's an upstream bug on this that's been open for 7 years...
  http://bugzilla.gnome.org/show_bug.cgi?id=83203
Comment 4 Jeff Bastian 2009-04-14 14:42:25 EDT
See bug 495704 for the Fedora 10 clone of this bug.
Comment 6 RHEL Product and Program Management 2009-11-06 14:26:30 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 David Mair 2010-01-05 13:53:48 EST
No response from initial reporter after several attempts. Closing.

Note You need to log in before you can comment on or make changes to this bug.